void initSensorReadings() //this is the start-up routine to read our sensors, then determine any "fudging" of the numbers we need to do.
{
  digitalWrite(obstacleOnOffPin,HIGH); //turn the sensor's LED's on
  delay(5); //wait just a tiny bit for the lights to come on and the readings to level
  obstacleReadings[0] =analogRead(obstaclePinL);  //read the analog value from the left sensor on the obstacle sensor
  obstacleReadings[1] =analogRead(obstaclePinC); //read the analog value from the center sensor on the obstacle sensor
  obstacleReadings[2] =analogRead(obstaclePinR); //read the analog value from the right sensor on the obstacle sensor
  digitalWrite(obstacleOnOffPin,LOW); //turn the sensor's LED's off again

  sensorAverage=(obstacleReadings[0]+obstacleReadings[1]+obstacleReadings[2])/3; //this is all sensors readings added, then divided by 3. This gives us our average
  for (i=0;i<3;i++) 
  {  
    obstacleReadingOffsets[i]=sensorAverage-obstacleReadings[i]; // determine the "offset" for each sensor's readings and put that in an array
    obstacleReadingOffsets[i]=obstacleReadingOffsets[i]-sensorAverage; //Redetermine the same offsets, removing the average now 
    //These offsets will later be used to "straighten out" our sensor readings
  }
}

void readSensor()
{
  digitalWrite(obstacleOnOffPin,HIGH); //turn the sensor's LED's on
  delay(5); //wait just a tiny bit for the lights to come on and the readings to level
  obstacleReadings[0] =analogRead(obstaclePinL);  //read the analog value from the left sensor on the obstacle sensor
  obstacleReadings[1] =analogRead(obstaclePinC); //read the analog value from the center sensor on the obstacle sensor
  obstacleReadings[2] =analogRead(obstaclePinR); //read the analog value from the right sensor on the obstacle sensor
  digitalWrite(obstacleOnOffPin,LOW); //turn the sensor's LED's off again
  for (i=0;i<3;i++)
  {  
    obstacleReadings[i]=obstacleReadings[i]+obstacleReadingOffsets[i];  //<--  Here we put our "offsets" back on. We only need to add, the offset is either + or - and will add or subtract itself
  }
  rangeL=(obstacleReadings[0]+obstacleReadings[1])/2;
  rangeR=(obstacleReadings[1]+obstacleReadings[2])/2;
  sensorAverage=(obstacleReadings[0]+obstacleReadings[1]+obstacleReadings[2])/3;
}

void printSensorReadings()
{

  Serial.println("Fudged Sensor Readings");
  for (i=0;i<3;i++)
  {  
    Serial.print(obstacleReadings[i]);
    Serial.print("   ");
  }
  Serial.println();
  Serial.println("Left Range    Right Range");

  Serial.print(rangeL);
  Serial.print("           ");
  Serial.print(rangeR);
  Serial.println();
}
